# dreamwork **Repository Path**: seth_yang/dreamwork ## Basic Information - **Project Name**: dreamwork - **Description**: No description available - **Primary Language**: Java - **License**: MIT - **Default Branch**: master - **Homepage**: None - **GVP Project**: No ## Statistics - **Stars**: 0 - **Forks**: 1 - **Created**: 2016-04-22 - **Last Updated**: 2023-03-02 ## Categories & Tags **Categories**: Uncategorized **Tags**: None ## README 作为一个综合项目停止维护,各个模块被拆分为独立项目,以方便维护 ## base 该模块迁移至独立项目[dreamwork-base](https://gitee.com/seth_yang/dreamwork-base)进行独立维护 提供一些常用的,独立的基础函数库,其中 ### org.dreamwork.compilation 包 提供运行期动态编译的API,允许java代码在运行期产生动态产生java代码,并编译 ### org.dreamwork.config 包 提供针对XML配置文件的解析API。 解析器将在运行期监视配置文件,若有改动,将刷新配置项。 XML配置文件的模式为: 根元素可以为任意名称,其中realtime属性标识了是否要实时监视文件修改。
元素描述其name属性标识的元素将使用自定义的节点解析器来解析。节点解析器类名由parser属性决定。 在应用程序中,可以使用类似XPath的方式来索引配置文件中的配置项。如: ```xml value1 ``` 则可以用 module1.item1来索引,并返回 value1。 ### org.dreamwork.fs 包 提供文件系统遍历工具包。 递归遍历指定的目录,并创建文件索引;针对于每个文件和目录,将调用注册的 IFileHandler 处理器来处理。 在遍历过程中,若目录发生变化,则仅对变化的文件或目录进行回调处理。 ### org.dreamwork.gson 包 主要是一些针对dreamwork内部集合类开发的gson的插件 ### org.dreamwork.i18n 包 国际化语言环境支撑。 通过适配器模式,屏蔽底层真正的资源绑定器之间的区别。 默认实现了 JdkResourceAdapter 和 XMLResourceAdapter ### org.dreamwork.misc 包 提供了杂项工具,包括: Base64算法的java实现 Zip算法压缩后进行Base64编码(及逆向过程)的工具类 IP的3种表达方式之间的转换工具类 关于MimeType的工具类 ### org.dreamwork.telnet 包 提供了基于 RFC 318 (TELNET), RFC 854 – RFC 861 (TELNET sub-options) RFC 1073 (TELNET Window Size) 的TELNET协议栈的java实现 ### org.dreamwork.text 包 提供了部分文本解析操作的基础API,如HTML ### org.dreamwork.util 包 提供一些集合接口及实现类 提供各种基于java.util. Comparable接口的排序算法 提供一些基础的类型转换的工具类 提供一些便捷的文件路径操作工具类 ## hyacinth 这个库对java mail API的封装,并提供了E-Mail实体对象,应用程序仅需将发送的信息和附件以对象属性的方式设置到该实体内,就可以实现电子邮件的发送了。 dreamwork-hyacinth 还提供了针对 jasmine 的实现。可以直接将 jasmine 页面当做电子邮件主体发送,这样,应用程序仅需要关注数据的获取,电子邮件的表现层全部交由 jasmine 页面负责。 ## peony 改模块迁移至独立项目[dreamwork-peony](https://gitee.com/seth_yang/dreamwork-peony)进行独立维护 dreamwork-peony 库提供了针对 POJO 以及某些有限的JDK类型(如数组、Map接口)提供求值表达式支持。 ## persistence 该模块迁移至独立项目[dreamwork-persistence](https://gitee.com/seth_yang/dreamwork-persistence)进行独立维护 * dreamwork-persistence 库依赖于SpringFramework,提供基本的数据操作服务接口及默认实现。 * dreamwork-persistence 库定义了底层数据访问的接口,注入到服务层,供上层应用程序调用。在2个默认实现中,其中一个包装了Hibernate作为O/R Mapping 的入口;另外一个实现则遵循JDO规范。 * dreamwork-persistence 还提供了基于 SpringFramework 的 Generic Magic,可以极大减少类似的编码,及代码中的装箱/拆箱操作。 ## jasmine2 该模块迁移至独立项目[dreamwork-jasmine2](https://gitee.com/seth_yang/dreamwork-jasmine2)进行独立维护 这个包提供基于消息的J2EE Web UI层的库。 和传统的Java Web UI框架不同的时,jasmine页面拥有状态和生命周期,在内存中维护控件树,延迟加载某些数据,已经事件触发机制。 [详细信息](http://git.oschina.net/seth_yang/dreamwork/blob/master/docs/jasmine2.md)